# List space vector stores List all additional vector stores attached to a space. Retrieve all additional vector stores that have been attached to a space. These are external vector stores used as supplementary knowledge sources during conversations. Requires view access to the space. #### Path Parameters **`space_id`** string required The unique identifier of the space. ## Returns An object containing a `vector_stores` array. Each entry includes the link ID, vector store ID, who added it, and when. Request ```bash cURL curl "https://api.aitronos.com/v1/spaces/space_abc123/vector-stores" \ -H "X-API-Key: $FREDDY_API_KEY" ``` ```python Python import os import requests api_key = os.environ["FREDDY_API_KEY"] response = requests.get( "https://api.aitronos.com/v1/spaces/space_abc123/vector-stores", headers={"X-API-Key": api_key}, ) print(response.json()) ``` ```javascript JavaScript const response = await fetch( "https://api.aitronos.com/v1/spaces/space_abc123/vector-stores", { headers: { "X-API-Key": apiKey }, } ); const data = await response.json(); ``` Response ```json 200 OK { "vector_stores": [ { "id": "svs_abc123def456", "vector_store_id": "vs_def456", "added_by": "usr_abc123", "added_at": "2026-02-26T10:30:00Z" }, { "id": "svs_ghi789jkl012", "vector_store_id": "vs_ghi789", "added_by": "usr_abc123", "added_at": "2026-02-26T11:00:00Z" } ] } ``` ```json 404 Not Found { "success": false, "error": { "code": "RESOURCE_NOT_FOUND", "message": "The requested resource could not be found.", "system_message": "Space not found", "type": "client_error", "status": 404, "details": { "space_id": "space_invalid" }, "trace_id": "abc-123-def", "timestamp": "2026-02-26T10:30:00Z" } } ``` ```json 403 Forbidden { "success": false, "error": { "code": "INSUFFICIENT_PERMISSIONS", "message": "You don't have permission to perform this action.", "system_message": "View access required", "type": "client_error", "status": 403, "details": { "space_id": "space_abc123" }, "trace_id": "abc-123-def", "timestamp": "2026-02-26T10:30:00Z" } } ``` ## Related Resources - [Add Vector Store to Space](/docs/api-reference/spaces/add-vector-store) - [Remove Vector Store from Space](/docs/api-reference/spaces/remove-vector-store) - [Retrieve Space](/docs/api-reference/spaces/retrieve) - [Create Space](/docs/api-reference/spaces/create) - [List Space Threads](/docs/api-reference/spaces/list-threads)